Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: MVC
Created: 2009-05-24 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Routing: Don't process routes in reverse order
Description

Currently routes are processed from bottom to top.
We decided to change that as it seems to be more intuitive to work off routes from top to bottom.
It should be enough to remove the array_reverse calls in \F3\FLOW3\Web\Routing\Router.

Related issues:
related to TYPO3.Flow - Bug # 3433: Routes in packages are overruled by globa... Resolved 2009-05-24

Associated revisions
Revision 94fb30d7 - 2009-05-26 01:37 - Bastian Waidelich
FLOW3:
    -  !!! BREAKING CHANGE !!! F3\FLOW3\Configuration\Manager is now able to load sub routes from packages and merge them with main routes.
Resolves #2126 (This needs further testing and some cleanup!)
    -  !!! BREAKING CHANGE !!! Routes are not processed in reverse order anymore. Resolves #3441.
    -  Query string won't be lowercased anymore by the routing framework. Relates to #2237.
    -  Added some missing type hints to F3\FLOW3\Configuration\Manager
    -  Improved exception messages in F3\FLOW3\MVC\Web\Routing\Route

FLOW3 Distribution:
    -  !!! BREAKING CHANGE !!! adapted global routes to the changes mentioned above and added subroutes to FLOW3/TYPO3CR packages.

Revision 60a120de - 2009-05-26 01:37 - Bastian Waidelich
FLOW3:
    -  !!! BREAKING CHANGE !!! F3\FLOW3\Configuration\Manager is now able to load sub routes from packages and merge them with main routes.
Resolves #2126 (This needs further testing and some cleanup!)
    -  !!! BREAKING CHANGE !!! Routes are not processed in reverse order anymore. Resolves #3441.
    -  Query string won't be lowercased anymore by the routing framework. Relates to #2237.
    -  Added some missing type hints to F3\FLOW3\Configuration\Manager
    -  Improved exception messages in F3\FLOW3\MVC\Web\Routing\Route

FLOW3 Distribution:
    -  !!! BREAKING CHANGE !!! adapted global routes to the changes mentioned above and added subroutes to FLOW3/TYPO3CR packages.

History
#1 - 2009-05-25 11:11 - Robert Lemke

ack

#2 - 2009-05-25 11:12 - Karsten Dambekalns
Go ahead!

#3 - 2009-05-26 02:00 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2381.
